<html>
<head>
<title>OGRE: Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>::<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html">ResourceDeclaration</a></div>
<h1>Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference</h1><!-- doxytag: class="Ogre::ResourceGroupManager::ResourceDeclaration" -->Nested struct defining a resource declaration.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#e2e29633ab1798c3f99151618b963d73">resourceName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#ae401b65d364881e950953a3a15e2977">resourceType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#9322aeaf8777145d9fb4d71d30d133f3">loader</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#f4c80eff88505c4aa6a24fedb7411c56">parameters</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Nested struct defining a resource declaration. 
<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00186">186</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="e2e29633ab1798c3f99151618b963d73"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::resourceName" ref="e2e29633ab1798c3f99151618b963d73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#e2e29633ab1798c3f99151618b963d73">Ogre::ResourceGroupManager::ResourceDeclaration::resourceName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00188">188</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ae401b65d364881e950953a3a15e2977"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::resourceType" ref="ae401b65d364881e950953a3a15e2977" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#ae401b65d364881e950953a3a15e2977">Ogre::ResourceGroupManager::ResourceDeclaration::resourceType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00189">189</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9322aeaf8777145d9fb4d71d30d133f3"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::loader" ref="9322aeaf8777145d9fb4d71d30d133f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#9322aeaf8777145d9fb4d71d30d133f3">Ogre::ResourceGroupManager::ResourceDeclaration::loader</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00190">190</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f4c80eff88505c4aa6a24fedb7411c56"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::parameters" ref="f4c80eff88505c4aa6a24fedb7411c56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#f4c80eff88505c4aa6a24fedb7411c56">Ogre::ResourceGroupManager::ResourceDeclaration::parameters</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00191">191</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:33 2008
</p>
</body>
</html>
